/*
1. Modify this query to include the tables you want
2. run and save as csv file 
2. Check file to see if rownums are in the file, if so remove
3. import file in lucid charts under ERDs
4. remove sys columns

*/

SELECT 'oracle' dbms,ORA_DATABASE_NAME,t.OWNER,t.TABLE_NAME,c.COLUMN_NAME,c.COLUMN_ID
      ,c.DATA_TYPE,c.DATA_LENGTH,n.CONSTRAINT_TYPE,r.OWNER,r.TABLE_NAME,r.COLUMN_NAME
FROM ALL_TABLES t
 LEFT JOIN ALL_TAB_COLS c ON t.OWNER=c.OWNER AND t.TABLE_NAME=c.TABLE_NAME
 LEFT JOIN ALL_CONS_COLUMNS nc ON c.OWNER=nc.OWNER AND c.TABLE_NAME=nc.TABLE_NAME AND c.COLUMN_NAME=nc.COLUMN_NAME
 LEFT JOIN ALL_CONSTRAINTS n ON nc.OWNER=n.OWNER AND nc.CONSTRAINT_NAME=n.CONSTRAINT_NAME AND n.CONSTRAINT_TYPE IN('P','U','R')
 LEFT JOIN ALL_CONS_COLUMNS r ON n.R_OWNER=r.OWNER AND n.R_CONSTRAINT_NAME=r.CONSTRAINT_NAME AND nc.POSITION=r.POSITION
 WHERE c.COLUMN_NAME IS NOT NULL
and t.table_name in ('ESTIMATE','EST_MEDICAL_CALCULATOR','EST_TEMP_CALCULATOR','EST_PPD_CALCULATOR_WU','EST_PPD_CALCULATOR_SCD','ESTIMATE_CALCULATOR')
and t.owner = 'WCIS_DBA'

